YepAPI
AI Models

Mistral Small 4

Mistral's efficient general-purpose model. Fast, affordable, and strong at code, reasoning, and multilingual tasks.

POST/v1/ai/chat
$0.01/call

Overview

Mistral's efficient general-purpose model. Fast, affordable, and strong at code, reasoning, and multilingual tasks.

PropertyValue
Model IDmistralai/mistral-small-2603
Context Window262,144 tokens
Max Output8,192 tokens
Input Price$0.15 / 1M tokens
Output Price$0.60 / 1M tokens

Usage

const res = await fetch('https://api.yepapi.com/v1/ai/chat', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    model: 'mistralai/mistral-small-2603',
    messages: [{ role: 'user', content: 'Write a bash script that monitors disk usage and sends an alert when any partition exceeds 90%.' }],
  }),
});
const { data } = await res.json();
console.log(data.message.content);
curl -X POST https://api.yepapi.com/v1/ai/chat \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "mistralai/mistral-small-2603", "messages": [{"role": "user", "content": "Write a bash script that monitors disk usage and sends an alert when any partition exceeds 90%."}]}'

Request Body

ParameterTypeRequiredDescriptionDefault
modelstringYesModel ID (e.g. mistralai/mistral-small-2603)
messagesMessage[]YesArray of { role, content } objects
maxTokensnumberNoMaximum tokens in the responseModel default
temperaturenumberNoSampling temperature (0.0–2.0)1.0
topPnumberNoNucleus sampling threshold1.0
frequencyPenaltynumberNoPenalize repeated tokens0
presencePenaltynumberNoPenalize tokens already present0
streambooleanNoEnable SSE streamingfalse
Info

All AI models use the /v1/ai/chat endpoint. Specify the model with the model field.

Response

{
  "ok": true,
  "data": {
    "model": "mistralai/mistral-small-2603",
    "message": {
      "role": "assistant",
      "content": "#!/bin/bash\nTHRESHOLD=90\ndf -h --output=pcent,target | tail -n +2 | while read usage mount; do\n  pct=${usage%\\%}\n  if [ \"$pct\" -gt \"$THRESHOLD\" ]; then\n    echo \"ALERT: $mount is at ${usage} usage\" | mail -s \"Disk Alert\" [email protected]\n  fi\ndone"
    },
    "usage": {
      "promptTokens": 22,
      "completionTokens": 78,
      "totalTokens": 100
    }
  }
}

Streaming

Set "stream": true to receive Server-Sent Events. Each chunk contains a delta object:

data: {"delta":{"content":"#!/bin/bash"},"model":"mistralai/mistral-small-2603","index":0}
data: [DONE]
Under the Hood

We handle auth, billing, and response normalization — you just send messages.

On this page